## ros-lunar-assisted-teleop 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(assisted_teleop)

##############################################################################
# Find dependencies
##############################################################################

set(THIS_PACKAGE_ROS_DEPS
  tf
  costmap_2d
  roscpp
  roslib
  geometry_msgs
  move_base_msgs
  actionlib
  message_filters
  base_local_planner
  angles
  pluginlib
  sensor_msgs
  filters
)

find_package(catkin REQUIRED COMPONENTS ${THIS_PACKAGE_ROS_DEPS})
find_package(Eigen3 REQUIRED)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

##############################################################################
# Define package
##############################################################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laser_scan_filters
  CATKIN_DEPENDS ${THIS_PACKAGE_ROS_DEPS}
  DEPENDS EIGEN3
)

##############################################################################
# Build
##############################################################################

add_executable(assisted_teleop src/assisted_teleop.cpp)
target_link_libraries(assisted_teleop ${catkin_LIBRARIES})

add_library(laser_scan_filters src/laser_scan_filters.cpp)
target_link_libraries(laser_scan_filters ${catkin_LIBRARIES})

##############################################################################
# Install
##############################################################################

install(TARGETS assisted_teleop laser_scan_filters
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES filter_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-assisted-teleop (0.2.1-0xenial) xenial; urgency=high

  * Fix some includes
  * Don't link against Eigen_LIBRARIES
  * Use non deprecated pluginlib macro + headers
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-lunar-assisted-teleop (0.2.0-0xenial) xenial; urgency=high

  * Initial release into indigo, kinetic, lunar and melodic
  * Contributors: Martin Günther, V. David Lu!!, Dave Hershberger, Eitan Marder-Eppstein, Jon Binney, Kaijen Hsiao, Vincent Rabaud, Brian Gerkey, Ken Conley

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 02 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-assisted-teleop
Section: misc
Priority: extra
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-actionlib, ros-lunar-angles, ros-lunar-base-local-planner, ros-lunar-catkin, ros-lunar-costmap-2d, ros-lunar-filters, ros-lunar-geometry-msgs, ros-lunar-message-filters, ros-lunar-move-base-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs, ros-lunar-tf
Homepage: http://wiki.ros.org/assisted_teleop
Standards-Version: 3.9.2

Package: ros-lunar-assisted-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-lunar-actionlib, ros-lunar-angles, ros-lunar-base-local-planner, ros-lunar-costmap-2d, ros-lunar-filters, ros-lunar-geometry-msgs, ros-lunar-message-filters, ros-lunar-move-base-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs, ros-lunar-tf
Description: The assisted_teleop node subscribes to a desired trajectory topic (geometry_msgs/Twist) and uses TrajectoryPlannerROS to find a valid trajectory close to the desired trajectory before republishing.
 Useful for filtering teleop commands while avoiding obstacles. This package also contains LaserScanMaxRangeFilter, which is a LaserScan filter plugin that takes max range values in a scan and turns them into valid values that are slightly less than max range.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-assisted-teleop//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
